Subject: Re: [TLS] Preventing cross-protocol attacks in TLS protocol

From: Nikos Mavrogiannopoulos <[email-masked]>
Date: Fri, 1 Jun 2012 11:38:10 +0200

On Thu, May 17, 2012 at 9:52 PM, Marsh Ray <[email-masked]> wrote:

> I think this is a good robustness improvement to the protocol and may bring
> other benefits. I actually considered including a very similar change in
> draft-ray-encrypted-handshake, but did not do so primarily due to scope.
> However, draft-mavrogiannopoulos-tls-server-key-exchage does not protect
> against the attack described.

I have improved the document to handle the case where both server and
client support the extension but the client does not require it to be
present. This comes at the cost of reducing the server random bytes to
28.

http://www.ietf.org/id/draft-mavrogiannopoulos-tls-cross-protocol-00.txt

regards,
Nikos